# dynamic_traits< algebra::CyclicSemiring< n > > Struct Template Reference
[Algebra, Semiring]

Meta information about the cyclic semirings. More...

Inherits dynamic_traits< algebra::SemiringBase< algebra::CyclicSemiring< n > > >.

## Detailed Description

### template<unsigned int n>
struct vcsn::dynamic_traits< algebra::CyclicSemiring< n > >

Meta information about the cyclic semirings.

Definition at line 40 of file concept/cyclic_semiring.hh.